/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez;

/**
 * この例外は、適切な通信サービスが見つからない場合にスローされます。
 * 
 * @author 杉澤 浩二
 */
public final class ServiceNotFoundException extends RuntimeException {

	private static final long serialVersionUID = 1L;

	/**
	 * デフォルトコンストラクタです。
	 */
	public ServiceNotFoundException() {
		super();
	}

	/**
	 * コンストラクタです。
	 * 
	 * @param message 詳細なエラーメッセージ
	 */
	public ServiceNotFoundException(final String message) {
		super(message);
	}

	/**
	 * コンストラクタです。
	 * 
	 * @param message 詳細なエラーメッセージ
	 * @param cause 原因
	 */
	public ServiceNotFoundException(final String message, final Throwable cause) {
		super(message, cause);
	}

	/**
	 * コンストラクタです。
	 * 
	 * @param cause 原因
	 */
	public ServiceNotFoundException(final Throwable cause) {
		super(cause);
	}

}
